# std::_Maybe_wrap_member_pointer< _Tp _Class::* > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Class>
struct std::_Maybe_wrap_member_pointer< _Tp _Class::* >

Maps member pointers into instances of _Mem_fn but leaves all other function objects untouched. Used by tr1::bind(). This partial specialization handles the member pointer case.

Definition at line 1105 of file tr1_impl/functional.

## Public Types

- typedef _Mem_fn< _Tp _Class::* > type

## Static Public Member Functions

- static type __do_wrap (_Tp _Class::*__pm)

The documentation for this struct was generated from the following file:

- tr1_impl/functional